=== debian/control ===
Source: ros-one-ar-track-alvar
Section: misc
Priority: optional
Maintainer: Scott Niekum <sniekum@cs.umass.edu>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-one-ar-track-alvar-msgs, ros-one-catkin, ros-one-cmake-modules, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-generation, ros-one-pcl-conversions, ros-one-pcl-ros, ros-one-resource-retriever, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf2, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/ar_track_alvar
Standards-Version: 3.9.2

Package: ros-one-ar-track-alvar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-one-ar-track-alvar-msgs, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-runtime, ros-one-pcl-conversions, ros-one-pcl-ros, ros-one-resource-retriever, ros-one-roscpp, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf2, ros-one-visualization-msgs
Description: This package is a ROS wrapper for Alvar, an open source AR tag tracking library.
